# Class PublicPathUtils

Set of utilities to determine where to load the lazy chunks from. You should add the `coveo-script` class on the script tag that includes the Coveo framework to make sure the framework can always auto-detect the path to load the lazy chunks from. More details here

## Index

### Methods

- configureResourceRoot
- getDynamicPublicPath

## Methods

### Static configureResourceRoot

- configureResourceRoot(path: string): void

- - Defined in utils/PublicPathUtils.ts :52
  deprecated

    Instead of using this method, you should add the `coveo-script` class on the script tag that includes the Coveo framework.

  #### Parameters

  - ##### path: string

  #### Returns void

### Static getDynamicPublicPath

- getDynamicPublicPath(): string

- - Defined in utils/PublicPathUtils.ts :27

  Helper function to resolve the public path used to load the chunks relative to the Coveo script. You should add the `coveo-script` class on the script tag that includes the Coveo framework to make sure the framework can always auto-detect the path to load the lazy chunks from. More details here

  #### Returns string

### Hierarchy

- PublicPathUtils